Page MenuHomePhabricator

Track maxlag for wikidata on grafana dashboard
Closed, ResolvedPublic

Description

This metric should be tracked along with the 'real' dispatch values, so that we can see what clients see with the modified dispatch factor.

This will require updating the script in gerrit/analytics/wmde/scripts that calls the api looking for the dispatch lag and also updating the dashboard on grafana.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2018, 7:36 AM
Lucas_Werkmeister_WMDE triaged this task as Normal priority.Jun 12 2018, 1:34 PM

So, the script is https://github.com/wikimedia/analytics-wmde-scripts/blob/master/src/wikidata/dispatch.php

We will need to:

  • Alter the script to make a new API call to get the new maxlag value.
  • Send that data to graphite using sendGauge with a sensibly named metric name
  • Merge patch on master of the repo on gerrit
  • Cherry-pick patch to production branch on gerrit & merge
  • Update the relevant dashboard to also show this new lag value somewhere
Jonas moved this task from Ready to estimate to In Progress on the Wikidata-Campsite board.

Change 441838 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[analytics/wmde/scripts@master] Track new API reported maxlag for wikidata on grafana dashboard

https://gerrit.wikimedia.org/r/441838

Addshore changed the task status from Open to Stalled.EditedJun 26 2018, 9:59 AM

I guess this is stalled until T194950 is complete as the new max lag is not yet enabled anywhere

Addshore changed the task status from Stalled to Open.Jun 26 2018, 10:42 AM

Per T194950#4314787 it is impossible to specifically track our new max lag without a new api module, so instead this task can just be about tracking the wikidata maxlag in general.

Addshore renamed this task from Track new API reported maxlag for wikidata on grafana dashboard to Track maxlag for wikidata on grafana dashboard.Jun 26 2018, 10:43 AM

Change 442827 had a related patch set uploaded (by Addshore; owner: Jonas Kress (WMDE)):
[analytics/wmde/scripts@production] Track new API reported maxlag for wikidata on grafana dashboard

https://gerrit.wikimedia.org/r/442827

Change 441838 merged by jenkins-bot:
[analytics/wmde/scripts@master] Track new API reported maxlag for wikidata on grafana dashboard

https://gerrit.wikimedia.org/r/441838

Change 442827 merged by jenkins-bot:
[analytics/wmde/scripts@production] Track new API reported maxlag for wikidata on grafana dashboard

https://gerrit.wikimedia.org/r/442827

Ladsgroup moved this task from incoming to in progress on the Wikidata board.Jun 28 2018, 3:14 PM

Looks good!
I filed a small follow up patch, but only vaguely related to this patch as the issue already existed with the dispatch script that was copied for this ticket.
https://gerrit.wikimedia.org/r/#/c/analytics/wmde/scripts/+/443036/

Vvjjkkii renamed this task from Track maxlag for wikidata on grafana dashboard to rabaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii removed Jonas as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Jonas; removed: gerritbot, Aklapper.
Lydia_Pintscher renamed this task from rabaaaaaaa to Track maxlag for wikidata on grafana dashboard.Jul 2 2018, 9:12 AM
Lydia_Pintscher closed this task as Resolved.
Lydia_Pintscher assigned this task to Jonas.
Lydia_Pintscher lowered the priority of this task from High to Normal.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher moved this task from Test (Verification) to Done on the Wikidata-Campsite board.
Lydia_Pintscher edited subscribers, added: Aklapper; removed: Jonas.